Syntax highlighting for meta-languages
======================================

Syntax highlighting for ABNF/BNF/EBNF, Yacc, and other language-related
languages (“metalanguages”). Ignore the other packages on Atom.io, this
is the one you want to install.


Supported formats
-----------------
*	[Augmented Backus-Naur Form][ABNF]
*	[Backus-Naur Form][BNF]
*	[Extended Backus-Naur Form][EBNF] ([ISO/IEC 14977][] + extensions)
*	[Lex][]  / [Flex][]
*	[Yacc][] / [Bison][]

Includes highlighting for embedded C/C++ source (Yacc/Lex files only).


Previews
--------

> ABNF:  
![Highlighted `.abnf` file](https://raw.githubusercontent.com/Alhadis/language-grammars/static/preview-1.png)

> BNF:   
![Highlighted `.bnf` file](https://raw.githubusercontent.com/Alhadis/language-grammars/static/preview-2.png)

> EBNF:  
![Highlighted `.ebnf` file](https://raw.githubusercontent.com/Alhadis/language-grammars/static/preview-3.png)

> Lex:  
![Highlighted `.lex` file](https://raw.githubusercontent.com/Alhadis/language-grammars/static/preview-4.png)

> Yacc:  
![Highlighted `.y` file](https://raw.githubusercontent.com/Alhadis/language-grammars/static/preview-5.png)



<!-- Referenced links -->
[ABNF]: https://en.wikipedia.org/wiki/Augmented_Backus–Naur_form
[BNF]:  https://en.wikipedia.org/wiki/Backus–Naur_form
[EBNF]: https://en.wikipedia.org/wiki/Extended_Backus–Naur_form
[ISO/IEC 14977]: http://www.cl.cam.ac.uk/~mgk25/iso-14977.pdf
[Lex]:   https://en.wikipedia.org/wiki/Lex_(software)
[Flex]:  https://en.wikipedia.org/wiki/Flex_(lexical_analyser_generator)
[Yacc]:  https://en.wikipedia.org/wiki/Yacc
[Bison]: https://www.gnu.org/software/bison/manual/bison.html
